package com.tzld.piaoquan.recommend.server.service.recall;

import com.tzld.piaoquan.recommend.server.service.rank.bo.UserShareReturnProfile;
import lombok.Data;

import java.util.Map;
import java.util.Set;

/**
 * @author dyp
 */
@Data
public class RecallParam {
    private String regionCode;
    private String cityCode;
    private String mid;
    private int appType;
    private String dataKey;
    private String ruleKey;
    private String province;

    private int size;
    private Long videoId;
    private String uid;
    private boolean specialRecommend;
    private Set<String> abExpCodes;
    private Integer categoryId;

    private Long hotSceneType;

    private String clientIp;

    private boolean riskUser;
    private String rootSourceId;
    private Integer userShareDepth;

    private String channelName;
    private UserShareReturnProfile userProfile;
    private Map<String, String> headInfo;

    private String rootSessionId;
}
